header{
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: transparent;
  padding: 1px 0%;
  transition: all 0.5s ease;
  height: 70px;
}

.logo{
  color: var(--white);
  font-size: 2.7rem;
  text-decoration: none;
  font-family: Italianno;
  margin-left: 200px;
  transition: all 0.5s ease-in-out;
}

.logo:hover{
  transform: scale(1.02);
}

.navbar{
  display: flex;
  margin-right: 100px;

  li{
    list-style-type: none;
  }

  a{
    color: var(--white);
    font-size: 1.25rem;
    padding: 5px 0;
    margin: 0px 50px;
    transition: all 0.5s ease;
    text-decoration: none;

    font-family: Gowun Batang;
  }

}

.navbar1{
  display: flex;
  margin-right: 100px;

  li{
    list-style-type: none;
  }

  a{
    color: var(--black);
    background-color: var(--white);
    font-size: 1.25rem;
    padding: 5px 55px;
    border-radius: 20px;
    margin: 0px 5px;
    transition: all 0.5s ease-in-out;
    text-decoration: none;

    font-family: Gowun Batang;
  }

  a:hover{
    background-color: var(--primary);
    color: var(--white);
  }

}


.navbar a:hover{
  color: var(--primary);
}

.navbar a:active{
  color: rgb(94, 35, 35);
}

.main{
  display: flex;
  align-items: center;
  display: none;

  a{
    margin-right: 25px;
    margin-left: 10px;
    color: var(--white);
    padding: 2px 40px;
    border-radius: 20px;

    text-decoration: none;
    font-size: 1.1rem;
    font-weight: 500;
    transition: all .5s ease;
    font-family: Gowun Batang;

    &:hover{
      color: var(--primary);
    }
  }
}

#menu-icon{
  font-size: 35px;
  color: var(--white);
  cursor: pointer;
  z-index: 1001;
  display: none;
}

@media (max-width: 1400px){
  header{
    padding: 14px;
    height: 40px;
  }

  .logo{
    color: var(--white);
    font-size: 2.5rem;
    text-decoration: none;
    margin-left: 50px;
  }

  .navbar{
    margin-right: 0px;
    margin-left: 50px;
    a{
      padding: 5px 0;
      margin: 0px 20px;
    }
  }

  .navbar1{
    display: flex;
    margin-right: 100px;
  
    li{
      list-style-type: none;
    }
  
    a{
      color: var(--black);
      background-color: var(--white);
      font-size: 1.2rem;
      padding: 5px 55px;
      border-radius: 20px;
      margin: 0px 5px;
      transition: all 0.5s ease;
      text-decoration: none;
  
      font-family: Gowun Batang;
    }
  
  }
}

@media (max-width: 900px){

  header{
    width: 100%;
    justify-content: center;
    gap: 550px;
  }

  .logo{
    margin-left: 50px;
    font-size: 2rem;
  }

  .main{
    display: block;
  }

  #menu-icon{
    display: block;
  }

  .navbar{
    position: absolute;
    top: 100%;
    right: -100%;
    width: 270px;
    height: 350px;
    background-color: var(--black);
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    border-radius: 10px;
    transition: all 0.5s ease;
    margin-right: 20px;

    a{
      display: block;
      margin: 25px 0px;
      padding: 0px 5px;
      transition: all 0.5s ease;

      &:hover{
        color: var(--primary);
        transform: translateX(5px);
      }
    }
  }

  .navbar.open{
    right: 2%;
  }


  .navbar1{
    position: absolute;
    top: 400%;
    right: -100%;
    width: 270px;
    height: 350px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    border-radius: 10px;
    transition: all 0.5s ease;
    margin-right: 35px;

    a{
      display: block;
      margin: 50px 10px;
      transition: all 0.5s ease;
      text-align: center;

      &:hover{
        background-color: var(--primary);
      }
    }
  }

  .navbar1.open{
    right: 2%;
  }
}

@media (max-width: 900px){
  #menu-icon{
    display: block;
    margin-right: 20px;
  }
}


.scrolled{
  background-color: var(--black);
  color: white;
}


@media (max-width: 500px){

  header{
    width: 100%;
    justify-content: space-between;
    gap: 0px;

  }

  #menu-icon{
    display: block;
    margin-right: 20px;
  }

}